Package org.apache.aries.jax.rs.whiteboard.internal.utils

## Class ServiceTuple<T>

- java.lang.Object
- - org.apache.aries.jax.rs.whiteboard.internal.utils.ServiceTuple<T>

All Implemented Interfaces:
  `Comparable<ServiceTuple<T>>`

    public class ServiceTuple<T>
    extends Object
    implements Comparable<ServiceTuple<T>>

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo​(ServiceTuple<T> o)`
`void` `dispose()`
`boolean` `equals​(Object o)`
`org.apache.aries.component.dsl.CachingServiceReference<T>` `getCachingServiceReference()`
`T` `getService()`
`org.osgi.framework.ServiceObjects<T>` `getServiceObjects()`
`int` `hashCode()`
`boolean` `isAvailable()`
`void` `refresh()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### compareTo

    public int compareTo​(ServiceTuple<T> o)

Specified by:
  `compareTo` in interface `Comparable<T>`

#### dispose

    public void dispose()

#### refresh

    public void refresh()

#### getService

    public T getService()

#### getServiceObjects

    public org.osgi.framework.ServiceObjects<T> getServiceObjects()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

#### getCachingServiceReference

    public org.apache.aries.component.dsl.CachingServiceReference<T> getCachingServiceReference()

#### isAvailable

    public boolean isAvailable()